locationinfo.h File Reference

## Classes

class | LocationInfo
| This class represents the location of a logging statement. More...

## Namespaces

namespace | log4cxx
namespace | log4cxx::spi

## Macros

#define | __LOG4CXX_FUNC__ ""
#define | LOG4CXX_LOCATION

## Macro Definition Documentation

#define __LOG4CXX_FUNC__ ""

#define LOG4CXX_LOCATION

Value:
::log4cxx::spi::LocationInfo(__FILE__, \
__LOG4CXX_FUNC__, \
__LINE__)